import { isClient, setConfig } from './config';
import { readCookie, saveCookie } from './utils/cookies';
var XANDR_ID_SERVER_URL = 'https://secure.adnxs.com/getuidj';
var XANDR_ID_COOKIE = 'adit-xandr-id';
var XANDR_DOES_NOT_HAVE_AN_ID_YET = '0';
export function getXandrId() {
  if (!isClient) {
    return null;
  }

  var storedXandrId = readCookie(XANDR_ID_COOKIE);
  var isValidXandrId = storedXandrId && storedXandrId !== XANDR_DOES_NOT_HAVE_AN_ID_YET;

  if (!isValidXandrId) {
    getRemoteXandrId().then(function (xandrId) {
      if (typeof xandrId === 'string') {
        saveCookie(XANDR_ID_COOKIE, xandrId);
      }
    });
  }

  setConfig('xandrId', storedXandrId);
  return isValidXandrId ? storedXandrId : null;
}
export function getRemoteXandrId() {
  if (!isClient) {
    return Promise.resolve(null);
  }

  return window.fetch(XANDR_ID_SERVER_URL, {
    credentials: 'include'
  }).then(function (response) {
    return response.json();
  }).then(function (json) {
    return json == null ? void 0 : json.uid;
  });
}